# intrinioSDK.CryptoApi

All URIs are relative to *https://api-v2.intrinio.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getCryptoBookAsks**](CryptoApi.md#getCryptoBookAsks) | **GET** /crypto/book/asks | Crypto Book Asks
[**getCryptoBookBids**](CryptoApi.md#getCryptoBookBids) | **GET** /crypto/book/bids | Crypto Book Bids
[**getCryptoBookSummary**](CryptoApi.md#getCryptoBookSummary) | **GET** /crypto/book | Crypto Book Summary
[**getCryptoCurrencies**](CryptoApi.md#getCryptoCurrencies) | **GET** /crypto/currencies | Crypto Currencies
[**getCryptoExchanges**](CryptoApi.md#getCryptoExchanges) | **GET** /crypto/exchanges | Crypto Exchanges
[**getCryptoPairs**](CryptoApi.md#getCryptoPairs) | **GET** /crypto/pairs | Crypto Pairs
[**getCryptoPriceTechnicalsAdi**](CryptoApi.md#getCryptoPriceTechnicalsAdi) | **GET** /crypto/prices/technicals/adi | Accumulation/Distribution Index
[**getCryptoPriceTechnicalsAdtv**](CryptoApi.md#getCryptoPriceTechnicalsAdtv) | **GET** /crypto/prices/technicals/adtv | Average Daily Trading Volume
[**getCryptoPriceTechnicalsAdx**](CryptoApi.md#getCryptoPriceTechnicalsAdx) | **GET** /crypto/prices/technicals/adx | Average Directional Index
[**getCryptoPriceTechnicalsAo**](CryptoApi.md#getCryptoPriceTechnicalsAo) | **GET** /crypto/prices/technicals/ao | Awesome Oscillator
[**getCryptoPriceTechnicalsAtr**](CryptoApi.md#getCryptoPriceTechnicalsAtr) | **GET** /crypto/prices/technicals/atr | Average True Range
[**getCryptoPriceTechnicalsBb**](CryptoApi.md#getCryptoPriceTechnicalsBb) | **GET** /crypto/prices/technicals/bb | Bollinger Bands
[**getCryptoPriceTechnicalsCci**](CryptoApi.md#getCryptoPriceTechnicalsCci) | **GET** /crypto/prices/technicals/cci | Commodity Channel Index
[**getCryptoPriceTechnicalsCmf**](CryptoApi.md#getCryptoPriceTechnicalsCmf) | **GET** /crypto/prices/technicals/cmf | Chaikin Money Flow
[**getCryptoPriceTechnicalsDc**](CryptoApi.md#getCryptoPriceTechnicalsDc) | **GET** /crypto/prices/technicals/dc | Donchian Channel
[**getCryptoPriceTechnicalsDpo**](CryptoApi.md#getCryptoPriceTechnicalsDpo) | **GET** /crypto/prices/technicals/dpo | Detrended Price Oscillator
[**getCryptoPriceTechnicalsEom**](CryptoApi.md#getCryptoPriceTechnicalsEom) | **GET** /crypto/prices/technicals/eom | Ease of Movement
[**getCryptoPriceTechnicalsFi**](CryptoApi.md#getCryptoPriceTechnicalsFi) | **GET** /crypto/prices/technicals/fi | Force Index
[**getCryptoPriceTechnicalsIchimoku**](CryptoApi.md#getCryptoPriceTechnicalsIchimoku) | **GET** /crypto/prices/technicals/ichimoku | Ichimoku Kinko Hyo
[**getCryptoPriceTechnicalsKc**](CryptoApi.md#getCryptoPriceTechnicalsKc) | **GET** /crypto/prices/technicals/kc | Keltner Channel
[**getCryptoPriceTechnicalsKst**](CryptoApi.md#getCryptoPriceTechnicalsKst) | **GET** /crypto/prices/technicals/kst | Know Sure Thing
[**getCryptoPriceTechnicalsMacd**](CryptoApi.md#getCryptoPriceTechnicalsMacd) | **GET** /crypto/prices/technicals/macd | Moving Average Convergence Divergence
[**getCryptoPriceTechnicalsMfi**](CryptoApi.md#getCryptoPriceTechnicalsMfi) | **GET** /crypto/prices/technicals/mfi | Money Flow Index
[**getCryptoPriceTechnicalsMi**](CryptoApi.md#getCryptoPriceTechnicalsMi) | **GET** /crypto/prices/technicals/mi | Mass Index
[**getCryptoPriceTechnicalsNvi**](CryptoApi.md#getCryptoPriceTechnicalsNvi) | **GET** /crypto/prices/technicals/nvi | Negative Volume Index
[**getCryptoPriceTechnicalsObv**](CryptoApi.md#getCryptoPriceTechnicalsObv) | **GET** /crypto/prices/technicals/obv | On-balance Volume
[**getCryptoPriceTechnicalsObvMean**](CryptoApi.md#getCryptoPriceTechnicalsObvMean) | **GET** /crypto/prices/technicals/obv_mean | On-balance Volume Mean
[**getCryptoPriceTechnicalsRsi**](CryptoApi.md#getCryptoPriceTechnicalsRsi) | **GET** /crypto/prices/technicals/rsi | Relative Strength Index
[**getCryptoPriceTechnicalsSma**](CryptoApi.md#getCryptoPriceTechnicalsSma) | **GET** /crypto/prices/technicals/sma | Simple Moving Average
[**getCryptoPriceTechnicalsSr**](CryptoApi.md#getCryptoPriceTechnicalsSr) | **GET** /crypto/prices/technicals/sr | Stochastic Oscillator
[**getCryptoPriceTechnicalsTrix**](CryptoApi.md#getCryptoPriceTechnicalsTrix) | **GET** /crypto/prices/technicals/trix | Triple Exponential Average
[**getCryptoPriceTechnicalsTsi**](CryptoApi.md#getCryptoPriceTechnicalsTsi) | **GET** /crypto/prices/technicals/tsi | True Strength Index
[**getCryptoPriceTechnicalsUo**](CryptoApi.md#getCryptoPriceTechnicalsUo) | **GET** /crypto/prices/technicals/uo | Ultimate Oscillator
[**getCryptoPriceTechnicalsVi**](CryptoApi.md#getCryptoPriceTechnicalsVi) | **GET** /crypto/prices/technicals/vi | Vortex Indicator
[**getCryptoPriceTechnicalsVpt**](CryptoApi.md#getCryptoPriceTechnicalsVpt) | **GET** /crypto/prices/technicals/vpt | Volume-price Trend
[**getCryptoPriceTechnicalsVwap**](CryptoApi.md#getCryptoPriceTechnicalsVwap) | **GET** /crypto/prices/technicals/vwap | Volume Weighted Average Price
[**getCryptoPriceTechnicalsWr**](CryptoApi.md#getCryptoPriceTechnicalsWr) | **GET** /crypto/prices/technicals/wr | Williams %R
[**getCryptoPrices**](CryptoApi.md#getCryptoPrices) | **GET** /crypto/prices | Crypto Prices
[**getCryptoSnapshot**](CryptoApi.md#getCryptoSnapshot) | **GET** /crypto/snapshot | Crypto Snapshot
[**getCryptoStats**](CryptoApi.md#getCryptoStats) | **GET** /crypto/stats | Crypto Stats



[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoBookAsks)

[//]: # (RETURN_TYPE:ApiResponseCryptoBookAsks)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoBookAsks.md)

[//]: # (OPERATION:getCryptoBookAsks_v2)

[//]: # (ENDPOINT:/crypto/book/asks)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoBookAsks)

<a name="getCryptoBookAsks"></a>
## **getCryptoBookAsks**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoBookAsks_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoBookAsks getCryptoBookAsks(opts)

#### Crypto Book Asks


Returns the entire ask order book for a given Crypto Currency Pair and Crypto Exchange.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return the order book asks for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return the order book asks for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC" // String | Return the order book asks for the given Crypto Currency.
};

cryptoAPI.getCryptoBookAsks(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return the order book asks for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return the order book asks for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return the order book asks for the given Crypto Currency. | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoBookAsks**](ApiResponseCryptoBookAsks.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoBookBids)

[//]: # (RETURN_TYPE:ApiResponseCryptoBookBids)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoBookBids.md)

[//]: # (OPERATION:getCryptoBookBids_v2)

[//]: # (ENDPOINT:/crypto/book/bids)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoBookBids)

<a name="getCryptoBookBids"></a>
## **getCryptoBookBids**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoBookBids_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoBookBids getCryptoBookBids(opts)

#### Crypto Book Bids


Returns the entire bid order book for a given Crypto Currency Pair and Crypto Exchange.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return the order book bids for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return the order book bids for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC" // String | Return the order book bids for the given Crypto Currency.
};

cryptoAPI.getCryptoBookBids(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return the order book bids for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return the order book bids for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return the order book bids for the given Crypto Currency. | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoBookBids**](ApiResponseCryptoBookBids.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoBookSummary)

[//]: # (RETURN_TYPE:ApiResponseCryptoBook)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoBook.md)

[//]: # (OPERATION:getCryptoBookSummary_v2)

[//]: # (ENDPOINT:/crypto/book)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoBookSummary)

<a name="getCryptoBookSummary"></a>
## **getCryptoBookSummary**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoBookSummary_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoBook getCryptoBookSummary(opts)

#### Crypto Book Summary


Returns the order book summary (bid/ask prices and size) for a given Crypto Currency Pair and Crypto Exchange.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'levels': null, // Number | The number of prices/levels to return on each side. For example, the max of 50 levels will return up to 50 bid prices and 50 ask prices.
  'pair': "btcusd", // String | Return the order book summary for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return the order book summary for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC" // String | Return the order book summary for the given Crypto Currency.
};

cryptoAPI.getCryptoBookSummary(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **levels** | Number| The number of prices/levels to return on each side. For example, the max of 50 levels will return up to 50 bid prices and 50 ask prices. | [optional]  &nbsp;
 **pair** | String| Return the order book summary for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return the order book summary for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return the order book summary for the given Crypto Currency. | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoBook**](ApiResponseCryptoBook.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoCurrencies)

[//]: # (RETURN_TYPE:ApiResponseCryptoCurrencies)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoCurrencies.md)

[//]: # (OPERATION:getCryptoCurrencies_v2)

[//]: # (ENDPOINT:/crypto/currencies)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoCurrencies)

<a name="getCryptoCurrencies"></a>
## **getCryptoCurrencies**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoCurrencies_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoCurrencies getCryptoCurrencies(opts)

#### Crypto Currencies


Returns a list of Crypto Currencies for which prices are available.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'exchange': "binance" // String | Returns Crypto Currencies traded on the given Crypto Exchange.
};

cryptoAPI.getCryptoCurrencies(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **exchange** | String| Returns Crypto Currencies traded on the given Crypto Exchange. | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoCurrencies**](ApiResponseCryptoCurrencies.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoExchanges)

[//]: # (RETURN_TYPE:ApiResponseCryptoExchanges)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoExchanges.md)

[//]: # (OPERATION:getCryptoExchanges_v2)

[//]: # (ENDPOINT:/crypto/exchanges)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoExchanges)

<a name="getCryptoExchanges"></a>
## **getCryptoExchanges**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoExchanges_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoExchanges getCryptoExchanges(opts)

#### Crypto Exchanges


Returns a list of Crypto Exchanges for which prices are available.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd" // String | Filter exchanges based on whether or not prices are available on the exchange for the crypto currency pair.
};

cryptoAPI.getCryptoExchanges(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Filter exchanges based on whether or not prices are available on the exchange for the crypto currency pair. | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoExchanges**](ApiResponseCryptoExchanges.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPairs)

[//]: # (RETURN_TYPE:ApiResponseCryptoPairs)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoPairs.md)

[//]: # (OPERATION:getCryptoPairs_v2)

[//]: # (ENDPOINT:/crypto/pairs)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPairs)

<a name="getCryptoPairs"></a>
## **getCryptoPairs**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPairs_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoPairs getCryptoPairs(opts)

#### Crypto Pairs


Returns a list of Crypto Currency Pairs for which data is available.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'exchange': "binance", // String | Return pairs traded on the given Crypto Exchange.
  'currency': "BTC", // String | Return pairs with one side being the given Crypto Currency.
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPairs(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **exchange** | String| Return pairs traded on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return pairs with one side being the given Crypto Currency. | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoPairs**](ApiResponseCryptoPairs.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsAdi)

[//]: # (RETURN_TYPE:ApiResponseCryptoAccumulationDistributionIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoAccumulationDistributionIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsAdi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/adi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsAdi)

<a name="getCryptoPriceTechnicalsAdi"></a>
## **getCryptoPriceTechnicalsAdi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsAdi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoAccumulationDistributionIndex getCryptoPriceTechnicalsAdi(opts)

#### Accumulation/Distribution Index


Returns the Accumulation/Distribution Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsAdi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoAccumulationDistributionIndex**](ApiResponseCryptoAccumulationDistributionIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsAdtv)

[//]: # (RETURN_TYPE:ApiResponseCryptoAverageDailyTradingVolume)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoAverageDailyTradingVolume.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsAdtv_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/adtv)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsAdtv)

<a name="getCryptoPriceTechnicalsAdtv"></a>
## **getCryptoPriceTechnicalsAdtv**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsAdtv_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoAverageDailyTradingVolume getCryptoPriceTechnicalsAdtv(opts)

#### Average Daily Trading Volume


Returns the Average Daily Trading Volume values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 22, // Number | The number of observations, per period, to calculate Average Daily Trading Volume.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsAdtv(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Average Daily Trading Volume. | [optional] [default to 22] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoAverageDailyTradingVolume**](ApiResponseCryptoAverageDailyTradingVolume.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsAdx)

[//]: # (RETURN_TYPE:ApiResponseCryptoAverageDirectionalIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoAverageDirectionalIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsAdx_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/adx)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsAdx)

<a name="getCryptoPriceTechnicalsAdx"></a>
## **getCryptoPriceTechnicalsAdx**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsAdx_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoAverageDirectionalIndex getCryptoPriceTechnicalsAdx(opts)

#### Average Directional Index


Returns the Average Directional Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 22, // Number | The number of observations, per period, to calculate Average Directional Index.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsAdx(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Average Directional Index. | [optional] [default to 22] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoAverageDirectionalIndex**](ApiResponseCryptoAverageDirectionalIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsAo)

[//]: # (RETURN_TYPE:ApiResponseCryptoAwesomeOscillator)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoAwesomeOscillator.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsAo_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/ao)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsAo)

<a name="getCryptoPriceTechnicalsAo"></a>
## **getCryptoPriceTechnicalsAo**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsAo_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoAwesomeOscillator getCryptoPriceTechnicalsAo(opts)

#### Awesome Oscillator


Returns the Awesome Oscillator values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'shortPeriod': 5, // Number | The number of observations, per period, to calculate short period Simple Moving Average of the Awesome Oscillator.
  'longPeriod': 34, // Number | The number of observations, per period, to calculate long period Simple Moving Average of the Awesome Oscillator.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsAo(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **shortPeriod** | Number| The number of observations, per period, to calculate short period Simple Moving Average of the Awesome Oscillator. | [optional] [default to 5] &nbsp;
 **longPeriod** | Number| The number of observations, per period, to calculate long period Simple Moving Average of the Awesome Oscillator. | [optional] [default to 34] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoAwesomeOscillator**](ApiResponseCryptoAwesomeOscillator.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsAtr)

[//]: # (RETURN_TYPE:ApiResponseCryptoAverageTrueRange)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoAverageTrueRange.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsAtr_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/atr)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsAtr)

<a name="getCryptoPriceTechnicalsAtr"></a>
## **getCryptoPriceTechnicalsAtr**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsAtr_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoAverageTrueRange getCryptoPriceTechnicalsAtr(opts)

#### Average True Range


Returns the Average True Range values of Crypto Currency Prices for Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 22, // Number | The number of observations, per period, to calculate Average True Range.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsAtr(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Average True Range. | [optional] [default to 22] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoAverageTrueRange**](ApiResponseCryptoAverageTrueRange.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsBb)

[//]: # (RETURN_TYPE:ApiResponseCryptoBollingerBands)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoBollingerBands.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsBb_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/bb)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsBb)

<a name="getCryptoPriceTechnicalsBb"></a>
## **getCryptoPriceTechnicalsBb**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsBb_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoBollingerBands getCryptoPriceTechnicalsBb(opts)

#### Bollinger Bands


Returns the Bollinger Bands values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 20, // Number | The number of observations, per period, to calculate Bollinger Bands.
  'standardDeviations': 2.0, // Number | The number of standard deviations to calculate the upper and lower bands of the Bollinger Bands.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating Bollinger Bands.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsBb(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Bollinger Bands. | [optional] [default to 20] &nbsp;
 **standardDeviations** | Number| The number of standard deviations to calculate the upper and lower bands of the Bollinger Bands. | [optional] [default to 2.0] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating Bollinger Bands. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoBollingerBands**](ApiResponseCryptoBollingerBands.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsCci)

[//]: # (RETURN_TYPE:ApiResponseCryptoCommodityChannelIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoCommodityChannelIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsCci_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/cci)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsCci)

<a name="getCryptoPriceTechnicalsCci"></a>
## **getCryptoPriceTechnicalsCci**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsCci_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoCommodityChannelIndex getCryptoPriceTechnicalsCci(opts)

#### Commodity Channel Index


Returns the Commodity Channel Index values of Crypto Currency Prices for Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 20, // Number | The number of observations, per period, to calculate Commodity Channel Index.
  'constant': 0.015, // Number | The number of observations, per period, to calculate Commodity Channel Index.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsCci(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Commodity Channel Index. | [optional] [default to 20] &nbsp;
 **constant** | Number| The number of observations, per period, to calculate Commodity Channel Index. | [optional] [default to 0.015] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoCommodityChannelIndex**](ApiResponseCryptoCommodityChannelIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsCmf)

[//]: # (RETURN_TYPE:ApiResponseCryptoChaikinMoneyFlow)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoChaikinMoneyFlow.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsCmf_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/cmf)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsCmf)

<a name="getCryptoPriceTechnicalsCmf"></a>
## **getCryptoPriceTechnicalsCmf**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsCmf_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoChaikinMoneyFlow getCryptoPriceTechnicalsCmf(opts)

#### Chaikin Money Flow


Returns the Chaikin Money Flow values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 20, // Number | The number of observations, per period, to calculate Chaikin Money Flow.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsCmf(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Chaikin Money Flow. | [optional] [default to 20] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoChaikinMoneyFlow**](ApiResponseCryptoChaikinMoneyFlow.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsDc)

[//]: # (RETURN_TYPE:ApiResponseCryptoDonchianChannel)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoDonchianChannel.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsDc_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/dc)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsDc)

<a name="getCryptoPriceTechnicalsDc"></a>
## **getCryptoPriceTechnicalsDc**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsDc_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoDonchianChannel getCryptoPriceTechnicalsDc(opts)

#### Donchian Channel


Returns the Donchian Channel values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 20, // Number | The number of observations, per period, to calculate Donchian Channel.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating Donchian Channel.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsDc(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Donchian Channel. | [optional] [default to 20] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating Donchian Channel. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoDonchianChannel**](ApiResponseCryptoDonchianChannel.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsDpo)

[//]: # (RETURN_TYPE:ApiResponseCryptoDetrendedPriceOscillator)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoDetrendedPriceOscillator.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsDpo_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/dpo)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsDpo)

<a name="getCryptoPriceTechnicalsDpo"></a>
## **getCryptoPriceTechnicalsDpo**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsDpo_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoDetrendedPriceOscillator getCryptoPriceTechnicalsDpo(opts)

#### Detrended Price Oscillator


Returns the Detrended Price Oscillator values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 20, // Number | The number of observations, per period, to calculate Detrended Price Oscillator.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating Detrended Price Oscillator.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsDpo(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Detrended Price Oscillator. | [optional] [default to 20] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating Detrended Price Oscillator. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoDetrendedPriceOscillator**](ApiResponseCryptoDetrendedPriceOscillator.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsEom)

[//]: # (RETURN_TYPE:ApiResponseCryptoEaseOfMovement)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoEaseOfMovement.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsEom_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/eom)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsEom)

<a name="getCryptoPriceTechnicalsEom"></a>
## **getCryptoPriceTechnicalsEom**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsEom_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoEaseOfMovement getCryptoPriceTechnicalsEom(opts)

#### Ease of Movement


Returns the Ease of Movement values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 20, // Number | The number of observations, per period, to calculate Ease of Movement.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsEom(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Ease of Movement. | [optional] [default to 20] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoEaseOfMovement**](ApiResponseCryptoEaseOfMovement.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsFi)

[//]: # (RETURN_TYPE:ApiResponseCryptoForceIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoForceIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsFi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/fi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsFi)

<a name="getCryptoPriceTechnicalsFi"></a>
## **getCryptoPriceTechnicalsFi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsFi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoForceIndex getCryptoPriceTechnicalsFi(opts)

#### Force Index


Returns the Force Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsFi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoForceIndex**](ApiResponseCryptoForceIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsIchimoku)

[//]: # (RETURN_TYPE:ApiResponseCryptoIchimokuKinkoHyo)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoIchimokuKinkoHyo.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsIchimoku_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/ichimoku)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsIchimoku)

<a name="getCryptoPriceTechnicalsIchimoku"></a>
## **getCryptoPriceTechnicalsIchimoku**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsIchimoku_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoIchimokuKinkoHyo getCryptoPriceTechnicalsIchimoku(opts)

#### Ichimoku Kinko Hyo


Returns the Ichimoku Kinko Hyo values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'lowPeriod': 9, // Number | The number of observations, per period, to calculate Tenkan Sen (Conversion Line) of Ichimoku Kinko Hyo.
  'mediumPeriod': 26, // Number | The number of observations, per period, to calculate Kijun Sen (Base Line), Senkou Span A (Leading Span A), and Chikou Span (Lagging Span) of Ichimoku Kinko Hyo.
  'highPeriod': 52, // Number | The number of observations, per period, to calculate Senkou Span B (Leading Span B) of Ichimoku Kinko Hyo.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsIchimoku(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **lowPeriod** | Number| The number of observations, per period, to calculate Tenkan Sen (Conversion Line) of Ichimoku Kinko Hyo. | [optional] [default to 9] &nbsp;
 **mediumPeriod** | Number| The number of observations, per period, to calculate Kijun Sen (Base Line), Senkou Span A (Leading Span A), and Chikou Span (Lagging Span) of Ichimoku Kinko Hyo. | [optional] [default to 26] &nbsp;
 **highPeriod** | Number| The number of observations, per period, to calculate Senkou Span B (Leading Span B) of Ichimoku Kinko Hyo. | [optional] [default to 52] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoIchimokuKinkoHyo**](ApiResponseCryptoIchimokuKinkoHyo.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsKc)

[//]: # (RETURN_TYPE:ApiResponseCryptoKeltnerChannel)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoKeltnerChannel.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsKc_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/kc)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsKc)

<a name="getCryptoPriceTechnicalsKc"></a>
## **getCryptoPriceTechnicalsKc**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsKc_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoKeltnerChannel getCryptoPriceTechnicalsKc(opts)

#### Keltner Channel


Returns the Keltner Channel values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 10, // Number | The number of observations, per period, to calculate Kelter Channel.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsKc(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Kelter Channel. | [optional] [default to 10] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoKeltnerChannel**](ApiResponseCryptoKeltnerChannel.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsKst)

[//]: # (RETURN_TYPE:ApiResponseCryptoKnowSureThing)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoKnowSureThing.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsKst_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/kst)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsKst)

<a name="getCryptoPriceTechnicalsKst"></a>
## **getCryptoPriceTechnicalsKst**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsKst_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoKnowSureThing getCryptoPriceTechnicalsKst(opts)

#### Know Sure Thing


Returns the Know Sure Thing values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'roc1': 10, // Number | The number of observations, per period, to calculate the rate-of-change for RCMA1.
  'roc2': 15, // Number | The number of observations, per period, to calculate the rate-of-change for RCMA2.
  'roc3': 20, // Number | The number of observations, per period, to calculate the rate-of-change for RCMA3.
  'roc4': 30, // Number | The number of observations, per period, to calculate the rate-of-change for RCMA4.
  'sma1': 10, // Number | The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA1.
  'sma2': 10, // Number | The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA2.
  'sma3': 10, // Number | The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA3.
  'sma4': 15, // Number | The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA4.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating Know Sure Thing.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsKst(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **roc1** | Number| The number of observations, per period, to calculate the rate-of-change for RCMA1. | [optional] [default to 10] &nbsp;
 **roc2** | Number| The number of observations, per period, to calculate the rate-of-change for RCMA2. | [optional] [default to 15] &nbsp;
 **roc3** | Number| The number of observations, per period, to calculate the rate-of-change for RCMA3. | [optional] [default to 20] &nbsp;
 **roc4** | Number| The number of observations, per period, to calculate the rate-of-change for RCMA4. | [optional] [default to 30] &nbsp;
 **sma1** | Number| The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA1. | [optional] [default to 10] &nbsp;
 **sma2** | Number| The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA2. | [optional] [default to 10] &nbsp;
 **sma3** | Number| The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA3. | [optional] [default to 10] &nbsp;
 **sma4** | Number| The number of observations, per period, to calculate the Simple Moving Average of the rate-of-change for RCMA4. | [optional] [default to 15] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating Know Sure Thing. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoKnowSureThing**](ApiResponseCryptoKnowSureThing.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsMacd)

[//]: # (RETURN_TYPE:ApiResponseCryptoMovingAverageConvergenceDivergence)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoMovingAverageConvergenceDivergence.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsMacd_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/macd)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsMacd)

<a name="getCryptoPriceTechnicalsMacd"></a>
## **getCryptoPriceTechnicalsMacd**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsMacd_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoMovingAverageConvergenceDivergence getCryptoPriceTechnicalsMacd(opts)

#### Moving Average Convergence Divergence


Returns the Moving Average Convergence Divergence values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'fastPeriod': 12, // Number | The number of observations, per period, to calculate the fast moving Exponential Moving Average for Moving Average Convergence Divergence.
  'slowPeriod': 26, // Number | The number of observations, per period, to calculate the slow moving Exponential Moving Average for Moving Average Convergence Divergence.
  'signalPeriod': 9, // Number | The number of observations, per period, to calculate the signal line for Moving Average Convergence Divergence.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating Moving Average Convergence Divergence.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsMacd(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **fastPeriod** | Number| The number of observations, per period, to calculate the fast moving Exponential Moving Average for Moving Average Convergence Divergence. | [optional] [default to 12] &nbsp;
 **slowPeriod** | Number| The number of observations, per period, to calculate the slow moving Exponential Moving Average for Moving Average Convergence Divergence. | [optional] [default to 26] &nbsp;
 **signalPeriod** | Number| The number of observations, per period, to calculate the signal line for Moving Average Convergence Divergence. | [optional] [default to 9] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating Moving Average Convergence Divergence. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoMovingAverageConvergenceDivergence**](ApiResponseCryptoMovingAverageConvergenceDivergence.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsMfi)

[//]: # (RETURN_TYPE:ApiResponseCryptoMoneyFlowIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoMoneyFlowIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsMfi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/mfi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsMfi)

<a name="getCryptoPriceTechnicalsMfi"></a>
## **getCryptoPriceTechnicalsMfi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsMfi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoMoneyFlowIndex getCryptoPriceTechnicalsMfi(opts)

#### Money Flow Index


Returns the Money Flow Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 14, // Number | The number of observations, per period, to calculate Money Flow Index.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsMfi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Money Flow Index. | [optional] [default to 14] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoMoneyFlowIndex**](ApiResponseCryptoMoneyFlowIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsMi)

[//]: # (RETURN_TYPE:ApiResponseCryptoMassIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoMassIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsMi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/mi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsMi)

<a name="getCryptoPriceTechnicalsMi"></a>
## **getCryptoPriceTechnicalsMi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsMi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoMassIndex getCryptoPriceTechnicalsMi(opts)

#### Mass Index


Returns the Mass Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'emaPeriod': 9, // Number | The number of observations, per period, to calculate the single Exponential Moving Average and the Double Exponential Moving Average for Mass Index.
  'sumPeriod': 25, // Number | The number of observations, per period, to calculate the sum of the Exponetinal Moving Average Ratios for Mass Index.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsMi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **emaPeriod** | Number| The number of observations, per period, to calculate the single Exponential Moving Average and the Double Exponential Moving Average for Mass Index. | [optional] [default to 9] &nbsp;
 **sumPeriod** | Number| The number of observations, per period, to calculate the sum of the Exponetinal Moving Average Ratios for Mass Index. | [optional] [default to 25] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoMassIndex**](ApiResponseCryptoMassIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsNvi)

[//]: # (RETURN_TYPE:ApiResponseCryptoNegativeVolumeIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoNegativeVolumeIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsNvi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/nvi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsNvi)

<a name="getCryptoPriceTechnicalsNvi"></a>
## **getCryptoPriceTechnicalsNvi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsNvi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoNegativeVolumeIndex getCryptoPriceTechnicalsNvi(opts)

#### Negative Volume Index


Returns the Negative Volume Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsNvi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoNegativeVolumeIndex**](ApiResponseCryptoNegativeVolumeIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsObv)

[//]: # (RETURN_TYPE:ApiResponseCryptoOnBalanceVolume)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoOnBalanceVolume.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsObv_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/obv)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsObv)

<a name="getCryptoPriceTechnicalsObv"></a>
## **getCryptoPriceTechnicalsObv**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsObv_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoOnBalanceVolume getCryptoPriceTechnicalsObv(opts)

#### On-balance Volume


Returns the On-balance Volume values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsObv(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoOnBalanceVolume**](ApiResponseCryptoOnBalanceVolume.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsObvMean)

[//]: # (RETURN_TYPE:ApiResponseCryptoOnBalanceVolumeMean)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoOnBalanceVolumeMean.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsObvMean_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/obv_mean)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsObvMean)

<a name="getCryptoPriceTechnicalsObvMean"></a>
## **getCryptoPriceTechnicalsObvMean**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsObvMean_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoOnBalanceVolumeMean getCryptoPriceTechnicalsObvMean(opts)

#### On-balance Volume Mean


Returns the On-balance Volume Mean values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 10, // Number | The number of observations, per period, to calculate On-balance Volume Mean.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsObvMean(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate On-balance Volume Mean. | [optional] [default to 10] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoOnBalanceVolumeMean**](ApiResponseCryptoOnBalanceVolumeMean.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsRsi)

[//]: # (RETURN_TYPE:ApiResponseCryptoRelativeStrengthIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoRelativeStrengthIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsRsi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/rsi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsRsi)

<a name="getCryptoPriceTechnicalsRsi"></a>
## **getCryptoPriceTechnicalsRsi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsRsi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoRelativeStrengthIndex getCryptoPriceTechnicalsRsi(opts)

#### Relative Strength Index


Returns the Relative Strength Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 14, // Number | The number of observations, per period, to calculate Relative Strength Index.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating Relative Strength Index.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsRsi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Relative Strength Index. | [optional] [default to 14] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating Relative Strength Index. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoRelativeStrengthIndex**](ApiResponseCryptoRelativeStrengthIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsSma)

[//]: # (RETURN_TYPE:ApiResponseCryptoSimpleMovingAverage)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoSimpleMovingAverage.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsSma_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/sma)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsSma)

<a name="getCryptoPriceTechnicalsSma"></a>
## **getCryptoPriceTechnicalsSma**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsSma_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoSimpleMovingAverage getCryptoPriceTechnicalsSma(opts)

#### Simple Moving Average


Returns the Simple Moving Average values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 20, // Number | The number of observations, per period, to calculate Simple Moving Average.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating Simple Moving Average.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsSma(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Simple Moving Average. | [optional] [default to 20] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating Simple Moving Average. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoSimpleMovingAverage**](ApiResponseCryptoSimpleMovingAverage.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsSr)

[//]: # (RETURN_TYPE:ApiResponseCryptoStochasticOscillator)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoStochasticOscillator.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsSr_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/sr)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsSr)

<a name="getCryptoPriceTechnicalsSr"></a>
## **getCryptoPriceTechnicalsSr**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsSr_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoStochasticOscillator getCryptoPriceTechnicalsSr(opts)

#### Stochastic Oscillator


Returns the Stochastic Oscillator values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 14, // Number | The number of observations, per period, to calculate %K of Stochastic Oscillator.
  'signalPeriod': 3, // Number | The number of observations, per period, to calculate the %D (the Simple Moving Average of %K) as a signal line for Stochastic Oscillator.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsSr(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate %K of Stochastic Oscillator. | [optional] [default to 14] &nbsp;
 **signalPeriod** | Number| The number of observations, per period, to calculate the %D (the Simple Moving Average of %K) as a signal line for Stochastic Oscillator. | [optional] [default to 3] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoStochasticOscillator**](ApiResponseCryptoStochasticOscillator.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsTrix)

[//]: # (RETURN_TYPE:ApiResponseCryptoTripleExponentialAverage)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoTripleExponentialAverage.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsTrix_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/trix)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsTrix)

<a name="getCryptoPriceTechnicalsTrix"></a>
## **getCryptoPriceTechnicalsTrix**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsTrix_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoTripleExponentialAverage getCryptoPriceTechnicalsTrix(opts)

#### Triple Exponential Average


Returns the Simple Moving Average values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 15, // Number | The number of observations, per period, to calculate Exponential Moving Average for Triple Exponential Average.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsTrix(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Exponential Moving Average for Triple Exponential Average. | [optional] [default to 15] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoTripleExponentialAverage**](ApiResponseCryptoTripleExponentialAverage.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsTsi)

[//]: # (RETURN_TYPE:ApiResponseCryptoTrueStrengthIndex)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoTrueStrengthIndex.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsTsi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/tsi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsTsi)

<a name="getCryptoPriceTechnicalsTsi"></a>
## **getCryptoPriceTechnicalsTsi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsTsi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoTrueStrengthIndex getCryptoPriceTechnicalsTsi(opts)

#### True Strength Index


Returns the True Strength Index values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'lowPeriod': 13, // Number | The number of observations, per period, to calculate low period Exponential Moving Average for smoothing in True Strength Index.
  'highPeriod': 25, // Number | The number of observations, per period, to calculate high period Exponential Moving Average for smoothing in True Strength Index.
  'priceKey': "close", // String | The Crypto Currency Price field to use when calculating True Strength Index.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsTsi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **lowPeriod** | Number| The number of observations, per period, to calculate low period Exponential Moving Average for smoothing in True Strength Index. | [optional] [default to 13] &nbsp;
 **highPeriod** | Number| The number of observations, per period, to calculate high period Exponential Moving Average for smoothing in True Strength Index. | [optional] [default to 25] &nbsp;
 **priceKey** | String| The Crypto Currency Price field to use when calculating True Strength Index. | [optional] [default to close] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoTrueStrengthIndex**](ApiResponseCryptoTrueStrengthIndex.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsUo)

[//]: # (RETURN_TYPE:ApiResponseCryptoUltimateOscillator)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoUltimateOscillator.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsUo_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/uo)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsUo)

<a name="getCryptoPriceTechnicalsUo"></a>
## **getCryptoPriceTechnicalsUo**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsUo_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoUltimateOscillator getCryptoPriceTechnicalsUo(opts)

#### Ultimate Oscillator


Returns the Ultimate Oscillator values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'shortPeriod': 7, // Number | The number of observations, per period, to calculate the short period for Ultimate Oscillator.
  'mediumPeriod': 14, // Number | The number of observations, per period, to calculate the medium period for Ultimate Oscillator.
  'longPeriod': 28, // Number | The number of observations, per period, to calculate the long period for Ultimate Oscillator.
  'shortWeight': 4.0, // Number | The weight of short Buying Pressure average for Ultimate Oscillator.
  'mediumWeight': 2.0, // Number | The weight of medium Buying Pressure average for Ultimate Oscillator.
  'longWeight': 1.0, // Number | The weight of long Buying Pressure average for Ultimate Oscillator.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsUo(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **shortPeriod** | Number| The number of observations, per period, to calculate the short period for Ultimate Oscillator. | [optional] [default to 7] &nbsp;
 **mediumPeriod** | Number| The number of observations, per period, to calculate the medium period for Ultimate Oscillator. | [optional] [default to 14] &nbsp;
 **longPeriod** | Number| The number of observations, per period, to calculate the long period for Ultimate Oscillator. | [optional] [default to 28] &nbsp;
 **shortWeight** | Number| The weight of short Buying Pressure average for Ultimate Oscillator. | [optional] [default to 4.0] &nbsp;
 **mediumWeight** | Number| The weight of medium Buying Pressure average for Ultimate Oscillator. | [optional] [default to 2.0] &nbsp;
 **longWeight** | Number| The weight of long Buying Pressure average for Ultimate Oscillator. | [optional] [default to 1.0] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoUltimateOscillator**](ApiResponseCryptoUltimateOscillator.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsVi)

[//]: # (RETURN_TYPE:ApiResponseCryptoVortexIndicator)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoVortexIndicator.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsVi_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/vi)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsVi)

<a name="getCryptoPriceTechnicalsVi"></a>
## **getCryptoPriceTechnicalsVi**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsVi_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoVortexIndicator getCryptoPriceTechnicalsVi(opts)

#### Vortex Indicator


Returns the Vortex Indicator values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 14, // Number | The number of observations, per period, to calculate Vortex Indicator.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsVi(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to calculate Vortex Indicator. | [optional] [default to 14] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoVortexIndicator**](ApiResponseCryptoVortexIndicator.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsVpt)

[//]: # (RETURN_TYPE:ApiResponseCryptoVolumePriceTrend)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoVolumePriceTrend.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsVpt_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/vpt)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsVpt)

<a name="getCryptoPriceTechnicalsVpt"></a>
## **getCryptoPriceTechnicalsVpt**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsVpt_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoVolumePriceTrend getCryptoPriceTechnicalsVpt(opts)

#### Volume-price Trend


Returns the Volume-price Trend values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsVpt(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoVolumePriceTrend**](ApiResponseCryptoVolumePriceTrend.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsVwap)

[//]: # (RETURN_TYPE:ApiResponseCryptoVolumeWeightedAveragePrice)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoVolumeWeightedAveragePrice.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsVwap_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/vwap)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsVwap)

<a name="getCryptoPriceTechnicalsVwap"></a>
## **getCryptoPriceTechnicalsVwap**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsVwap_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoVolumeWeightedAveragePrice getCryptoPriceTechnicalsVwap(opts)

#### Volume Weighted Average Price


Returns the Volume Weighted Average Price values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsVwap(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoVolumeWeightedAveragePrice**](ApiResponseCryptoVolumeWeightedAveragePrice.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPriceTechnicalsWr)

[//]: # (RETURN_TYPE:ApiResponseCryptoWilliamsR)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoWilliamsR.md)

[//]: # (OPERATION:getCryptoPriceTechnicalsWr_v2)

[//]: # (ENDPOINT:/crypto/prices/technicals/wr)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPriceTechnicalsWr)

<a name="getCryptoPriceTechnicalsWr"></a>
## **getCryptoPriceTechnicalsWr**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPriceTechnicalsWr_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoWilliamsR getCryptoPriceTechnicalsWr(opts)

#### Williams %R


Returns the Williams %R values of Crypto Currency Prices for a Crypto Currency Pair

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return technicals for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return technicals for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return technicals for the given Crypto Currency.
  'period': 14, // Number | The number of observations, per period, to look-back when calculating Williams %R.
  'timeframe': "d1", // String | The time interval for the prices when calculating technicals.
  'timezone': "UTC", // String | Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return technicals on or after this date.
  'startTime': null, // String | Return technicals at or after this time (24-hour).
  'endDate': null, // Date | Return technicals on or before this date.
  'endTime': null, // String | Return technicals at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPriceTechnicalsWr(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return technicals for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return technicals for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return technicals for the given Crypto Currency. | [optional]  &nbsp;
 **period** | Number| The number of observations, per period, to look-back when calculating Williams %R. | [optional] [default to 14] &nbsp;
 **timeframe** | String| The time interval for the prices when calculating technicals. | [optional] [default to d1] &nbsp;
 **timezone** | String| Return technical date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return technicals on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return technicals at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return technicals on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return technicals at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoWilliamsR**](ApiResponseCryptoWilliamsR.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoPrices)

[//]: # (RETURN_TYPE:ApiResponseCryptoPrices)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoPrices.md)

[//]: # (OPERATION:getCryptoPrices_v2)

[//]: # (ENDPOINT:/crypto/prices)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoPrices)

<a name="getCryptoPrices"></a>
## **getCryptoPrices**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoPrices_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoPrices getCryptoPrices(timeframe, opts)

#### Crypto Prices


Returns a list of available Crypto Currency Prices.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var timeframe = "d1"; // String | The time interval for the prices.

var opts = { 
  'pair': "btcusd", // String | Return prices for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return prices for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC", // String | Return prices for the given Crypto Currency.
  'timezone': "UTC", // String | Return price date/times in this timezone, also interpret start/end date/time parameters in this timezone.
  'startDate': null, // Date | Return Crypto Prices on or after this date.
  'startTime': null, // String | Return Crypto Prices at or after this time (24-hour).
  'endDate': null, // Date | Return Crypto Prices on or before this date.
  'endTime': null, // String | Return Crypto Prices at or before this time (24-hour).
  'pageSize': 100, // Number | An integer greater than or equal to 1 for specifying the number of results on each page.
  'nextPage': null // String | Gets the next page of data from a previous API call
};

cryptoAPI.getCryptoPrices(timeframe, opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **timeframe** | String| The time interval for the prices. | [default to d1] &nbsp;
 **pair** | String| Return prices for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return prices for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return prices for the given Crypto Currency. | [optional]  &nbsp;
 **timezone** | String| Return price date/times in this timezone, also interpret start/end date/time parameters in this timezone. | [optional] [default to UTC] &nbsp;
 **startDate** | Date| Return Crypto Prices on or after this date. | [optional]  &nbsp;
 **startTime** | String| Return Crypto Prices at or after this time (24-hour). | [optional]  &nbsp;
 **endDate** | Date| Return Crypto Prices on or before this date. | [optional]  &nbsp;
 **endTime** | String| Return Crypto Prices at or before this time (24-hour). | [optional]  &nbsp;
 **pageSize** | Number| An integer greater than or equal to 1 for specifying the number of results on each page. | [optional] [default to 100] &nbsp;
 **nextPage** | String| Gets the next page of data from a previous API call | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoPrices**](ApiResponseCryptoPrices.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoSnapshot)

[//]: # (RETURN_TYPE:ApiResponseCryptoSnapshot)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoSnapshot.md)

[//]: # (OPERATION:getCryptoSnapshot_v2)

[//]: # (ENDPOINT:/crypto/snapshot)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoSnapshot)

<a name="getCryptoSnapshot"></a>
## **getCryptoSnapshot**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoSnapshot_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoSnapshot getCryptoSnapshot(opts)

#### Crypto Snapshot


Returns a market snapshot over that last 24 hours for the given currency pair and exchange.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'pair': "btcusd", // String | Return the snapshot for the given Crypto Currency Pair.
  'exchange': "binance", // String | Return the snapshot for a Crypto Currency on the given Crypto Exchange.
  'currency': "BTC" // String | Return the snapshot for the given Crypto Currency.
};

cryptoAPI.getCryptoSnapshot(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pair** | String| Return the snapshot for the given Crypto Currency Pair. | [optional]  &nbsp;
 **exchange** | String| Return the snapshot for a Crypto Currency on the given Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Return the snapshot for the given Crypto Currency. | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoSnapshot**](ApiResponseCryptoSnapshot.md)



[//]: # (END_OPERATION)


[//]: # (START_OPERATION)

[//]: # (CLASS:CryptoApi)

[//]: # (METHOD:getCryptoStats)

[//]: # (RETURN_TYPE:ApiResponseCryptoStats)

[//]: # (RETURN_TYPE_KIND:object)

[//]: # (RETURN_TYPE_DOC:ApiResponseCryptoStats.md)

[//]: # (OPERATION:getCryptoStats_v2)

[//]: # (ENDPOINT:/crypto/stats)

[//]: # (DOCUMENT_LINK:CryptoApi.md#getCryptoStats)

<a name="getCryptoStats"></a>
## **getCryptoStats**

[**View Intrinio API Documentation**](https://docs.intrinio.com/documentation/javascript/getCryptoStats_v2)

[//]: # (START_OVERVIEW)

> ApiResponseCryptoStats getCryptoStats(opts)

#### Crypto Stats


Returns available stats on Crypto Currencies.

[//]: # (END_OVERVIEW)

### Example

[//]: # (START_CODE_EXAMPLE)

```javascript
var intrinioSDK = require('intrinio-sdk');
intrinioSDK.ApiClient.instance.authentications['ApiKeyAuth'].apiKey = "YOUR_API_KEY";

var cryptoAPI = new intrinioSDK.CryptoApi();

var opts = { 
  'exchange': "binance", // String | Returns stats for Crypto Currencies that trade on the specified Crypto Exchange.
  'currency': "BTC" // String | Returns stats for the specified Crypto Currency.
};

cryptoAPI.getCryptoStats(opts).then(function(data) {
  console.log(data);
}, function(error) {
  console.error(error);
});
```

[//]: # (END_CODE_EXAMPLE)

### Parameters

[//]: # (START_PARAMETERS)


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **exchange** | String| Returns stats for Crypto Currencies that trade on the specified Crypto Exchange. | [optional]  &nbsp;
 **currency** | String| Returns stats for the specified Crypto Currency. | [optional]  &nbsp;
<br/>

[//]: # (END_PARAMETERS)

### Return type

[**ApiResponseCryptoStats**](ApiResponseCryptoStats.md)



[//]: # (END_OPERATION)

